## hfst 3.9.0~r4595

=== new_library/Makefile ===

FPIC = -fPIC

CXX = g++
WARNING = -Wall -Wcast-qual -Wconversion -std=c++98 -Wno-deprecated -ansi

CC = g++
CL = $(CC)
CFLAGS = -O3 $(WARNING) $(SGILIB) $(CDT) $(READLINE) $(FPIC)
LDFLAGS =

CXXFLAGS = $(CFLAGS)
LXXFLAGS = $(LDFLAGS)

INSTALL = install
INSTALL_DIR = install -d -m 755
INSTALL_LIBS = $(INSTALL) -s

DESTDIR =
PREFIX = /usr/local/

OBJ = MyFst.o

libmfstl.so: MyFst.o
	$(CL) -shared -o $@ $^ $(LDFLAGS)

clean:
	rm -f *.o libmfstl.so

libinstall: dynlib hfiles

dynlib:	libmfstl.so
	$(INSTALL_LIBS) $^ $(PREFIX)lib
	(ldconfig || true)

hfiles: MyFst.h
	-@if [ ! -d $(PREFIX)include/mfstl ]; then mkdir -p $(PREFIX)include/mfstl; fi
	$(INSTALL) $^ $(PREFIX)include/mfstl

=== tools/src/hfst-tagger/src/build_model_src/Makefile ===
test:string_handling WeightedStringVectorCollection ModelBuilder \
	SequenceModelBuilder LexicalModelBuilder TaggerBuilder
	./string_handling
	./WeightedStringVectorCollection
	./ModelBuilder
	./SequenceModelBuilder
	./LexicalModelBuilder
	./TaggerBuilder

string_handling:
	g++ -g -O3 -c -o string_handling.o string_handling.cc
	g++ -g -O3 -DMAIN_TEST -o string_handling string_handling.o \
	string_handling.cc ../unit_test_aux.cc -lhfst

WeightedStringVectorCollection:string_handling.cc \
WeightedStringVectorCollection.cc
	g++ -g -O3 -c -o string_handling.o string_handling.cc
	g++ -g -O3 -c -o WeightedStringVectorCollection.o \
	WeightedStringVectorCollection.cc
	g++ -g -O3 -DMAIN_TEST -o WeightedStringVectorCollection \
	string_handling.o WeightedStringVectorCollection.o \
	WeightedStringVectorCollection.cc ../unit_test_aux.cc -lhfst

ModelBuilder:string_handling.cc WeightedStringVectorCollection.cc \
	FstBuilder.cc ModelBuilder.cc
	g++ -g -O3 -c -o string_handling.o string_handling.cc
	g++ -g -O3 -c -o WeightedStringVectorCollection.o \
	WeightedStringVectorCollection.cc
	g++ -g -O3 -c -o FstBuilder.o FstBuilder.cc
	g++ -g -O3 -c -o ModelBuilder.o ModelBuilder.cc
	g++ -g -O3 -DMAIN_TEST -o ModelBuilder ModelBuilder.o FstBuilder.o \
	string_handling.o WeightedStringVectorCollection.o \
	ModelBuilder.cc ../unit_test_aux.cc -lhfst

SequenceModelBuilder:string_handling.cc WeightedStringVectorCollection.cc \
	FstBuilder.cc ModelBuilder.cc SequenceModelBuilder.cc
	g++ -g -O3 -c -o string_handling.o string_handling.cc
	g++ -g -O3 -c -o WeightedStringVectorCollection.o \
	WeightedStringVectorCollection.cc
	g++ -g -O3 -c -o FstBuilder.o FstBuilder.cc
	g++ -g -O3 -c -o ModelBuilder.o ModelBuilder.cc
	g++ -g -O3 -c -o SequenceModelBuilder.o SequenceModelBuilder.cc
	g++ -g -O3 -DMAIN_TEST -o SequenceModelBuilder ModelBuilder.o \
	FstBuilder.o string_handling.o WeightedStringVectorCollection.o \
	SequenceModelBuilder.o SequenceModelBuilder.cc ../unit_test_aux.cc \
	-lhfst

LexicalModelBuilder:string_handling.cc WeightedStringVectorCollection.cc \
	FstBuilder.cc ModelBuilder.cc LexicalModelBuilder.cc
	g++ -g -O3 -c -o string_handling.o string_handling.cc
	g++ -g -O3 -c -o WeightedStringVectorCollection.o \
	WeightedStringVectorCollection.cc
	g++ -g -O3 -c -o FstBuilder.o FstBuilder.cc
	g++ -g -O3 -c -o ModelBuilder.o ModelBuilder.cc
	g++ -g -O3 -c -o LexicalModelBuilder.o LexicalModelBuilder.cc
	g++ -g -O3 -DMAIN_TEST -o LexicalModelBuilder ModelBuilder.o \
	FstBuilder.o string_handling.o WeightedStringVectorCollection.o \
	LexicalModelBuilder.o LexicalModelBuilder.cc ../unit_test_aux.cc \
	-lhfst

TaggerBuilder:string_handling.cc WeightedStringVectorCollection.cc \
	FstBuilder.cc ModelBuilder.cc LexicalModelBuilder.cc TaggerBuilder.cc
	g++ -g -O3 -c -o string_handling.o string_handling.cc
	g++ -g -O3 -c -o WeightedStringVectorCollection.o \
	WeightedStringVectorCollection.cc
	g++ -g -O3 -c -o FstBuilder.o FstBuilder.cc
	g++ -g -O3 -c -o ModelBuilder.o ModelBuilder.cc
	g++ -g -O3 -c -o LexicalModelBuilder.o LexicalModelBuilder.cc 
	g++ -g -O3 -c -o SequenceModelBuilder.o SequenceModelBuilder.cc
	g++ -Wall -Wextra -g -O3 -c -o TaggerBuilder.o TaggerBuilder.cc
	g++ -g -O3 -DMAIN_TEST -o TaggerBuilder ModelBuilder.o \
	FstBuilder.o string_handling.o WeightedStringVectorCollection.o \
	TaggerBuilder.o LexicalModelBuilder.o SequenceModelBuilder.o \
	TaggerBuilder.cc \
	../unit_test_aux.cc -lhfst

## hfst 3.8.2~r4145

=== debian/changelog ===
hfst (3.8.2~r4145-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #781759).
  * Add Python and Python3 modules.
  * Fix some Lintian errors.
  * Disable static libraries.

  [ Kartik Mistry ]
  * Added hardening support.
  * Added patch description.

 -- Kartik Mistry <kartik@debian.org>  Wed, 22 Jul 2015 17:46:52 -0500

=== debian/control ===
Source: hfst
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               bison,
               debhelper (>= 9.0),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               flex,
               libicu-dev,
               libreadline-dev,
               libtool,
               python,
               python-dev,
               python3,
               python3-dev,
               swig,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/hfst.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git

Package: hfst
Architecture: any
Depends: libhfst40 (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.

Package: libhfst40
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libhfst
Conflicts: libhfst, libhfst3
Replaces: libhfst, libhfst3
Description: Helsinki Finite-State Transducer Technology Libraries
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides runtime libraries for HFST.

Package: libhfst40-dev
Architecture: any
Section: libdevel
Depends: libhfst40 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libhfst-dev
Conflicts: libhfst-dev, libhfst3-dev
Replaces: libhfst-dev, libhfst3-dev
Description: Helsinki Finite-State Transducer Technology Development files
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides development headers and libraries for HFST

Package: python-libhfst
Architecture: any
Section: python
Depends: libhfst40 (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology (Python2 module)
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides Python2 module for libhfst.

Package: python3-libhfst
Architecture: any
Section: python
Depends: libhfst40 (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology (Python3 module)
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides Python3 module for libhfst.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --without-foma --with-unicode-handler=ICU --enable-all-tools

override_dh_auto_build:
	./scripts/generate-cc-files.sh
	$(MAKE) -j$(NUMJOBS) || $(MAKE) -j$(NUMJOBS) || $(MAKE)
	cd $(CURDIR)/swig && python setup.py build_ext && python3 setup.py build_ext && strip --strip-unneeded build/*/*.so

override_dh_auto_test:
	# Skip, as it breaks in various unpredictable ways

override_dh_auto_install:
	dh_auto_install
	cd $(CURDIR)/swig && python setup.py install --no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp && python3 setup.py install --no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;

## hfst 3.9.0~r4595

=== debian/changelog ===
hfst (3.9.0~r4595-3) unstable; urgency=medium

  * Update package to generate appropriate dependencies for python bindings
    as well as building for all supported python3 versions. Patch was not added
    in last update by mistake (Closes: #809446)

 -- Kartik Mistry <kartik@debian.org>  Wed, 10 Feb 2016 10:59:55 +0530

hfst (3.9.0~r4595-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Removed old-style hardening support.
  * Added overrides.

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Feb 2016 17:41:03 +0530

hfst (3.9.0~r4595-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.

  [ Kartik Mistry ]
  * debian/control:
    + Fixed Vcs-* URLs.
  * debian/copyright:
    + Updated SFST and Foma upstream URLs.
  * debian/rules:
    + Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Feb 2016 11:49:33 +0530

hfst (3.8.3~r4409-1) unstable; urgency=low

  * Update to latest upstream release.

 -- Tino Didriksen <mail@tinodidriksen.com>  Mon, 03 Aug 2015 06:53:49 +0000

=== debian/control ===
--- 
+++ 
@@ -10,34 +10,33 @@
                bison,
                debhelper (>= 9.0),
                dh-autoreconf,
+               dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
                libicu-dev,
                libreadline-dev,
                libtool,
-               python,
                python-dev,
-               python3,
-               python3-dev,
+               python3-all-dev,
                swig,
                zlib1g-dev
 Standards-Version: 3.9.6
-Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/hfst.git
+Homepage: https://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
+Vcs-Git: https://anonscm.debian.org/debian-science/packages/hfst.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 
 Package: hfst
 Architecture: any
-Depends: libhfst40 (= ${binary:Version}),
-         python,
+Depends: libhfst42 (= ${binary:Version}),
          ${misc:Depends},
+         ${python:Depends},
          ${shlibs:Depends}
 Description: Helsinki Finite-State Transducer Technology
  The Helsinki Finite-State Transducer software is intended for the
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst40
+Package: libhfst42
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst
@@ -50,10 +49,10 @@
  .
  This package provides runtime libraries for HFST.
 
-Package: libhfst40-dev
+Package: libhfst42-dev
 Architecture: any
 Section: libdevel
-Depends: libhfst40 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libhfst42 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst-dev
 Conflicts: libhfst-dev, libhfst3-dev
 Replaces: libhfst-dev, libhfst3-dev
@@ -67,9 +66,9 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst40 (= ${binary:Version}),
-         python,
+Depends: libhfst42 (= ${binary:Version}),
          ${misc:Depends},
+         ${python:Depends},
          ${shlibs:Depends}
 Description: Helsinki Finite-State Transducer Technology (Python2 module)
  The Helsinki Finite-State Transducer software is intended for the
@@ -81,9 +80,9 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst40 (= ${binary:Version}),
-         python3,
+Depends: libhfst42 (= ${binary:Version}),
          ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Description: Helsinki Finite-State Transducer Technology (Python3 module)
  The Helsinki Finite-State Transducer software is intended for the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

build3vers := $(shell py3versions -sv)

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --parallel --with autoreconf,python2,python3

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --with-unicode-handler=ICU --enable-all-tools

override_dh_auto_build:
	./scripts/generate-cc-files.sh
	$(MAKE) -j$(NUMJOBS) || $(MAKE) -j$(NUMJOBS) || $(MAKE)
	set -e && for i in $(build3vers); do \
		cd $(CURDIR)/python && python$$i setup.py build_ext && strip --strip-unneeded build/*/*.so; \
	done

override_dh_auto_test:
	# Skip, as it breaks in various unpredictable ways

override_dh_auto_install:
	dh_auto_install
	set -e && for i in $(build3vers); do \
		cd $(CURDIR)/python && python$$i setup.py install --no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp; \
	done
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;

=== debian/watch ===
version=3
opts=filenamemangle=s/\S*download=//g \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/hfst/hfst \
.*=hfst(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## hfst 3.10.0~r2798

=== debian/changelog ===
hfst (3.10.0~r2798-3build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 16:25:12 +1200

hfst (3.10.0~r2798-3build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 11:44:40 +1200

hfst (3.10.0~r2798-3) unstable; urgency=medium

  [ Tino Didriksen ]
  * Workaround tests failing on big-endian (Closes: #827199)
    + Not solved, but not needed because hfst-ospell fixed the end-user case

 -- Kartik Mistry <kartik@debian.org>  Thu, 23 Mar 2017 18:48:47 +0530

hfst (3.10.0~r2798-2) unstable; urgency=low

  [ Tino Didriksen ]
  * debian/patches/hfst_03_char2int.diff:
    + Fix FTBFS: twolc test fails or times out (Closes: #826659)

 -- Kartik Mistry <kartik@debian.org>  Mon, 13 Jun 2016 10:17:56 +0530

hfst (3.10.0~r2798-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 3.9.8

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jun 2016 18:33:47 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
+Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
                automake,
@@ -20,14 +20,14 @@
                python3-all-dev,
                swig,
                zlib1g-dev
-Standards-Version: 3.9.6
-Homepage: https://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
-Vcs-Git: https://anonscm.debian.org/debian-science/packages/hfst.git
+Standards-Version: 3.9.8
+Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 
 Package: hfst
 Architecture: any
-Depends: libhfst42 (= ${binary:Version}),
+Depends: libhfst45 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -36,7 +36,7 @@
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst42
+Package: libhfst45
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst
@@ -49,10 +49,13 @@
  .
  This package provides runtime libraries for HFST.
 
-Package: libhfst42-dev
+Package: libhfst45-dev
 Architecture: any
 Section: libdevel
-Depends: libhfst42 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: hfst (= ${binary:Version}),
+         libhfst45 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: libhfst-dev
 Conflicts: libhfst-dev, libhfst3-dev
 Replaces: libhfst-dev, libhfst3-dev
@@ -66,7 +69,7 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst42 (= ${binary:Version}),
+Depends: libhfst45 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -80,7 +83,7 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst42 (= ${binary:Version}),
+Depends: libhfst45 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## hfst 3.12.2~r3289

=== debian/changelog ===
hfst (3.12.2~r3289-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release:
  * debian/patches/hfst_03_notemplate.diff:
    + Added patch to Fix FTBFS (Closes: #871145)
  * Now also builds Python modules for Python 2.x

 -- Kartik Mistry <kartik@debian.org>  Tue, 08 Aug 2017 18:16:08 +0530

=== debian/control ===
--- 
+++ 
@@ -10,24 +10,23 @@
                bison,
                debhelper (>= 9.0),
                dh-autoreconf,
-               dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
                libicu-dev,
                libreadline-dev,
                libtool,
-               python-dev,
+               python-all-dev,
                python3-all-dev,
                swig,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 
 Package: hfst
 Architecture: any
-Depends: libhfst45 (= ${binary:Version}),
+Depends: libhfst49 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -36,7 +35,7 @@
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst45
+Package: libhfst49
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst
@@ -49,11 +48,11 @@
  .
  This package provides runtime libraries for HFST.
 
-Package: libhfst45-dev
+Package: libhfst49-dev
 Architecture: any
 Section: libdevel
 Depends: hfst (= ${binary:Version}),
-         libhfst45 (= ${binary:Version}),
+         libhfst49 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libhfst-dev
@@ -69,7 +68,7 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst45 (= ${binary:Version}),
+Depends: libhfst49 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -83,7 +82,7 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst45 (= ${binary:Version}),
+Depends: libhfst49 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

build2vers := $(shell pyversions -sv)
build3vers := $(shell py3versions -sv)

# This has to be exported to make some magic below work.
export DH_OPTIONS
export LC_ALL=C.UTF-8

%:
	dh $@ --fail-missing --parallel --with autoreconf --with python2 --with python3

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --with-unicode-handler=ICU --enable-all-tools --with-readline

override_dh_auto_build:
	$(MAKE) -j$(NUMJOBS) || $(MAKE) -j$(NUMJOBS) || $(MAKE)
	set -e && for i in $(build2vers) $(build3vers); do \
		cd $(CURDIR)/python && python$$i setup.py build_ext && strip --strip-unneeded build/*/*.so; \
	done

override_dh_auto_test:
	$(MAKE) -j1 check

override_dh_auto_install:
	dh_auto_install
	set -e && for i in $(build2vers) $(build3vers); do \
		cd $(CURDIR)/python && python$$i setup.py install --no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp; \
	done
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

## hfst 3.13.0~r3461

=== debian/changelog ===
hfst (3.13.0~r3461-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Fri, 22 Dec 2017 11:54:55 +0530

hfst (3.13.0~r3461-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release
  * Rename libhfstNN-dev to plain libhfst-dev

  [ Kartik Mistry ]
  * Upload to experimental as of now.
  * Update Standards-Version to 4.1.1
  * Added patch description.

 -- Kartik Mistry <kartik@debian.org>  Sat, 02 Dec 2017 11:49:38 +0530

hfst (3.12.2~r3289-3) unstable; urgency=low

  * debian/docs change README to README.rst (Closes: #874761)
  * New style watch file

 -- Tino Didriksen <tino@didriksen.cc>  Mon, 11 Sep 2017 14:34:24 +0200

hfst (3.12.2~r3289-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Re-disable tests to work around big-endian building (Closes: #873008)

  [ Kartik Mistry ]
  * Added dh-python to Build-Depends.

 -- Kartik Mistry <kartik@debian.org>  Thu, 07 Sep 2017 10:00:41 +0530

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                bison,
                debhelper (>= 9.0),
                dh-autoreconf,
+               dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
                libicu-dev,
@@ -19,14 +20,14 @@
                python3-all-dev,
                swig,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 
 Package: hfst
 Architecture: any
-Depends: libhfst49 (= ${binary:Version}),
+Depends: libhfst50 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -35,8 +36,9 @@
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst49
+Package: libhfst50
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst
 Conflicts: libhfst, libhfst3
@@ -48,16 +50,15 @@
  .
  This package provides runtime libraries for HFST.
 
-Package: libhfst49-dev
+Package: libhfst-dev
 Architecture: any
 Section: libdevel
 Depends: hfst (= ${binary:Version}),
-         libhfst49 (= ${binary:Version}),
+         libhfst50 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libhfst-dev
-Conflicts: libhfst-dev, libhfst3-dev
-Replaces: libhfst-dev, libhfst3-dev
+Conflicts: libhfst3-dev
+Replaces: libhfst3-dev
 Description: Helsinki Finite-State Transducer Technology Development files
  The Helsinki Finite-State Transducer software is intended for the
  implementation of morphological analysers and other tools which are
@@ -68,7 +69,7 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst49 (= ${binary:Version}),
+Depends: libhfst50 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -82,7 +83,7 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst49 (= ${binary:Version}),
+Depends: libhfst50 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	done
 
 override_dh_auto_test:
-	$(MAKE) -j1 check
+	# Disable because they still break on big-endian
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hfst-$1\.tar\.gz/ \
  https://github.com/hfst/hfst/tags .*/v?(\d\S+)\.tar\.gz

## hfst 3.15.0

=== debian/changelog ===
hfst (3.15.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * hfst: Add Breaks: libhfst45-dev for smoother upgrades from stretch.
    (Closes: #931169)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jul 2019 10:17:59 +0200

hfst (3.15.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * debian/control:
    + Updated Standards-Version to 4.2.1
    + Updated package name as per soname change: libhfst50 -> libhfst52.
    + Updated Build-Depends.

  [ Kartik Mistry ]
  * debian/libhfst52.lintian-overrides:
    + Added override for repeated triggers.

 -- Kartik Mistry <kartik@debian.org>  Sat, 13 Oct 2018 12:16:11 +0530

hfst (3.13.0~r3461-3) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.1.5
    + Updated Homepage.
    + Updated Vcs-* URLs.
  * Updated dh to 11.
  * debian/copyright:
    + Wrap text to 80 chars.
    + Updated source URL.
  * debian/rules:
    + Removed --parallel argument.
    + Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Sun, 05 Aug 2018 15:49:03 +0800

=== debian/control ===
--- 
+++ 
@@ -6,37 +6,37 @@
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
                automake,
-               autotools-dev,
                bison,
-               debhelper (>= 9.0),
-               dh-autoreconf,
+               debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
-               libicu-dev,
                libreadline-dev,
                libtool,
                python-all-dev,
+               python-setuptools,
                python3-all-dev,
+               python3-setuptools,
                swig,
                zlib1g-dev
-Standards-Version: 4.1.1
-Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
+Standards-Version: 4.2.1
+Homepage: https://hfst.github.io/
+Vcs-Git: https://salsa.debian.org/science-team/hfst.git
+Vcs-Browser: https://salsa.debian.org/science-team/hfst
 
 Package: hfst
 Architecture: any
-Depends: libhfst50 (= ${binary:Version}),
+Depends: libhfst52 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
+Breaks: libhfst45-dev
 Description: Helsinki Finite-State Transducer Technology
  The Helsinki Finite-State Transducer software is intended for the
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst50
+Package: libhfst52
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -54,7 +54,7 @@
 Architecture: any
 Section: libdevel
 Depends: hfst (= ${binary:Version}),
-         libhfst50 (= ${binary:Version}),
+         libhfst52 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libhfst3-dev
@@ -69,7 +69,7 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst50 (= ${binary:Version}),
+Depends: libhfst52 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -83,7 +83,7 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst50 (= ${binary:Version}),
+Depends: libhfst52 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,15 @@
 export DH_OPTIONS
 export LC_ALL=C.UTF-8
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 %:
-	dh $@ --fail-missing --parallel --with autoreconf --with python2 --with python3
+	dh $@ --fail-missing --with autoreconf --with python2 --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-static --with-unicode-handler=ICU --enable-all-tools --with-readline
+	dh_auto_configure -- --disable-static --enable-all-tools --with-readline
 
 override_dh_auto_build:
 	$(MAKE) -j$(NUMJOBS) || $(MAKE) -j$(NUMJOBS) || $(MAKE)

## hfst 3.15.1

=== scripts/finnish-tagtools/Makefile ===
prefix = /usr/local
datapath = $(prefix)/share/finnish-tagtools
binpath = $(prefix)/bin

check:
	test/test-local.sh

check-installed:
	test/test-installation.sh

install:
	sed -e s,TAG=tag,TAG=$(datapath),g \
		< finnish-postag > $(binpath)/finnish-postag
	sed -e s,TAG=tag,TAG=$(datapath),g \
		< finnish-nertag > $(binpath)/finnish-nertag
	sed -e s,TAG=tag,TAG=$(datapath),g \
		< finnish-tokenize > $(binpath)/finnish-tokenize
	chmod 0755 $(binpath)/finnish-postag
	chmod 0755 $(binpath)/finnish-nertag
	chmod 0755 $(binpath)/finnish-tokenize
	install -m 0775 -d $(datapath)
	install -m 0775 tag/filter_lemmas --target-directory=$(datapath)
	install -m 0775 tag/finnpos-label --target-directory=$(datapath)
	install -m 0775 tag/finnpos-ratna-feats.py --target-directory=$(datapath)
	install -m 0775 tag/finnpos-restore-lemma.py --target-directory=$(datapath)
	install -m 0775 tag/hfst-pmatch --target-directory=$(datapath)
	install -m 0775 tag/hfst-tokenize --target-directory=$(datapath)
	install -m 0775 tag/move_tags --target-directory=$(datapath)
	install -m 0775 tag/omorfi2finnpos.py --target-directory=$(datapath)
	install -m 0775 tag/normalize-lemmas.py --target-directory=$(datapath)
	install -m 0775 tag/prefilt_tags --target-directory=$(datapath)
	install -m 0775 tag/add_boundaries --target-directory=$(datapath)
	install -m 0775 tag/remove_exc --target-directory=$(datapath)
	install -m 0664 tag/freq_words --target-directory=$(datapath)
	install -m 0664 tag/lemma-errors.tsv --target-directory=$(datapath)
	install -m 0664 tag/ftb.omorfi.model --target-directory=$(datapath)
	install -m 0664 tag/omorfi_tokenize.pmatch --target-directory=$(datapath)
	install -m 0664 tag/omorfi.tagtools.optcap.hfst --target-directory=$(datapath)
	install -m 0664 tag/proper_tagger_ph1.pmatch --target-directory=$(datapath)
	install -m 0664 tag/proper_tagger_ph2.pmatch --target-directory=$(datapath)

uninstall:
	rm -f $(binpath)/finnish-postag
	rm -f $(binpath)/finnish-nertag
	rm -f $(binpath)/finnish-tokenize
	rm -rf $(datapath)

=== debian/changelog ===
hfst (3.15.1-2) unstable; urgency=low

  * Source only upload.

 -- Kartik Mistry <kartik@debian.org>  Mon, 30 Sep 2019 14:25:08 +0530

hfst (3.15.1-1) unstable; urgency=low

  * Update to latest upstream
  * Now only supports Python 3 (Closes: #936698)
  * Now uses ICU for Unicode handling
  * Updated dh to 12
  * debian/control:
    + Updated Standards-Version to 4.4.0
    + Updated Build-Depends

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 03 Sep 2019 14:02:07 +0200

hfst (3.15.0-2) unstable; urgency=low

  * Fixed debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Tue, 11 Dec 2018 12:34:57 +0530

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

build3vers := $(shell py3versions -sv)

# This has to be exported to make some magic below work.
export DH_OPTIONS
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf --with python3

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-all-tools --with-readline --with-unicode-handler=icu

override_dh_auto_build:
	dh_auto_build
	set -e && for i in $(build3vers); do \
		cd $(CURDIR)/python && python$$i setup.py build_ext && strip --strip-unneeded build/*/*.so; \
	done

override_dh_auto_test:
	# Disable because they still break on big-endian

override_dh_auto_install:
	dh_auto_install
	set -e && for i in $(build3vers); do \
		cd $(CURDIR)/python && python$$i setup.py install --no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp; \
	done
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

override_dh_dwz:
	# Disable dwz as it fails for the Python module

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hfst-$1.tar.gz%" \
    https://github.com/hfst/hfst/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## hfst 3.15.4

=== debian/changelog ===
hfst (3.15.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Thu, 10 Feb 2022 13:44:35 +0530

hfst (3.15.4-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream
  * debian/control:
    + Updated Standards-Version to 4.6.0
    + Renamed python3-libhfst to python3-hfst, with transitional package
    + Updated package name as per soname change: libhfst52 -> libhfst53.
  * debian/rules:
    + Only build for one python3 version, because multi-version seems generally
      unsupported.
  * debian/copyright:
    + Fix copyright, partially by excluding conflicting files from Debian, but
      primarily by asking authors for intent and permission.

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Feb 2022 17:34:35 +0530

hfst (3.15.1-3) unstable; urgency=low

  * debian/rules:
    + Fix Python module name.
  * Add debian/gitlab-ci.yml.
  * debian/control:
    + Switched to debhelper-compat.
    + Updated Standards-Version to 4.5.0
  * Removed duplicate trigger and lintian-override for it.

 -- Kartik Mistry <kartik@debian.org>  Tue, 26 May 2020 20:15:46 +0530

=== debian/control ===
Source: hfst
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               bison,
               debhelper-compat (= 13),
               dh-python,
               flex,
               libicu-dev,
               libreadline-dev,
               pkg-config,
               python3-dev,
               python3-setuptools,
               swig,
               zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://hfst.github.io/
Vcs-Git: https://salsa.debian.org/science-team/hfst.git
Vcs-Browser: https://salsa.debian.org/science-team/hfst
Rules-Requires-Root: no

Package: hfst
Architecture: any
Depends: libhfst53 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.

Package: libhfst53
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libhfst
Conflicts: libhfst, libhfst3
Replaces: libhfst, libhfst3
Description: Helsinki Finite-State Transducer Technology Libraries
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides runtime libraries for HFST.

Package: libhfst-dev
Architecture: any
Section: libdevel
Depends: hfst (= ${binary:Version}),
         libhfst53 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libhfst3-dev
Replaces: libhfst3-dev
Description: Helsinki Finite-State Transducer Technology Development files
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides development headers and libraries for HFST

Package: python3-hfst
Architecture: any
Section: python
Depends: libhfst53 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Helsinki Finite-State Transducer Technology (Python3 module)
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides Python3 module for libhfst.

Package: python3-libhfst
Architecture: all
Section: oldlibs
Depends: python3-hfst (>= ${binary:Version}), ${misc:Depends}
Description: Transitional dummy package for python3-hfst
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-all-tools --with-readline --with-unicode-handler=icu --enable-python-bindings 'PYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp'

override_dh_auto_test:
	# Disable because they still break on big-endian

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

override_dh_missing:
	dh_missing --fail-missing

## hfst 3.16.0

=== tools/src/hfst-tagger/src/build_model_src/Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	WeightedStringVectorCollection.cc
 	g++ -g -O3 -c -o FstBuilder.o FstBuilder.cc
 	g++ -g -O3 -c -o ModelBuilder.o ModelBuilder.cc
-	g++ -g -O3 -c -o LexicalModelBuilder.o LexicalModelBuilder.cc 
+	g++ -g -O3 -c -o LexicalModelBuilder.o LexicalModelBuilder.cc
 	g++ -g -O3 -c -o SequenceModelBuilder.o SequenceModelBuilder.cc
 	g++ -Wall -Wextra -g -O3 -c -o TaggerBuilder.o TaggerBuilder.cc
 	g++ -g -O3 -DMAIN_TEST -o TaggerBuilder ModelBuilder.o \

=== debian/changelog ===
hfst (3.16.0-5build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:25:06 +0000

hfst (3.16.0-5build3) noble; urgency=medium

  * Rebuild against latest foma

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Mar 2024 19:49:28 -0500

hfst (3.16.0-5build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:40:25 +0000

hfst (3.16.0-5build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:06:28 +0100

hfst (3.16.0-5) unstable; urgency=medium

  * Add Breaks+Replaces (Closes: #1034972)

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 27 Apr 2023 15:46:23 +0200

hfst (3.16.0-4) unstable; urgency=high

  [ Tino Didriksen ]
  * debian/patches/hfst-atomic.diff:
    + Add atomic patch, to aid in building on armel/mipsel

 -- Kartik Mistry <kartik@debian.org>  Wed, 20 Apr 2022 19:42:23 +0530

hfst (3.16.0-3) unstable; urgency=high

  * Depends on libfst-dev (>= 1.7.9) to avoid depends on libfst8
    (Closes: #1009828)

 -- Kartik Mistry <kartik@debian.org>  Wed, 20 Apr 2022 10:49:29 +0530

hfst (3.16.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Mar 2022 09:34:55 +0530

hfst (3.16.0-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * Bumped package libhfst53 -> libhfst55 for soname change.

 -- Kartik Mistry <kartik@debian.org>  Wed, 02 Mar 2022 08:50:09 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hfst
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
@@ -9,6 +10,8 @@
                debhelper-compat (= 13),
                dh-python,
                flex,
+               libfoma-dev,
+               libfst-dev (>= 1.7.9),
                libicu-dev,
                libreadline-dev,
                pkg-config,
@@ -24,7 +27,7 @@
 
 Package: hfst
 Architecture: any
-Depends: libhfst53 (= ${binary:Version}),
+Depends: libhfst55 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -33,7 +36,7 @@
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst53
+Package: libhfst55
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -51,7 +54,8 @@
 Architecture: any
 Section: libdevel
 Depends: hfst (= ${binary:Version}),
-         libhfst53 (= ${binary:Version}),
+         libhfst55 (= ${binary:Version}),
+         libicu-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libhfst3-dev
@@ -66,11 +70,13 @@
 Package: python3-hfst
 Architecture: any
 Section: python
-Depends: libhfst53 (= ${binary:Version}),
+Depends: libhfst55 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Provides: ${python3:Provides}
+Breaks: python3-libhfst (<< 3.15.4)
+Replaces: python3-libhfst (<< 3.15.4)
 XB-Python-Version: ${python3:Versions}
 Description: Helsinki Finite-State Transducer Technology (Python3 module)
  The Helsinki Finite-State Transducer software is intended for the

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hfst-$1.tar.bz2%" \
    https://github.com/hfst/hfst/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## hfst 3.16.1

=== debian/changelog ===
hfst (3.16.1-3build2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:27:56 +0100

hfst (3.16.1-3build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:55:34 +0100

hfst (3.16.1-3) unstable; urgency=medium

  * Apparently, LDFLAGS only works in d/rules when passed to configure

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 19 Dec 2024 23:15:40 +0100

hfst (3.16.1-2) unstable; urgency=medium

  * armel and powerpc still need LDFLAGS=-latomic,
    but thankfully not the full patch

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 19 Dec 2024 16:12:50 +0100

hfst (3.16.1-1) unstable; urgency=medium

  * Update to latest upstream.
  * Require patched openfst (Closes: #1075066)

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 19 Dec 2024 10:43:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: hfst
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
                bison,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                flex,
                libfoma-dev,
-               libfst-dev (>= 1.7.9),
+               libfst-dev (>= 1.7.9-6~),
                libicu-dev,
                libreadline-dev,
                pkg-config,
@@ -19,7 +18,7 @@
                python3-setuptools,
                swig,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://hfst.github.io/
 Vcs-Git: https://salsa.debian.org/science-team/hfst.git
 Vcs-Browser: https://salsa.debian.org/science-team/hfst
